<?php

/*
 * ユニットが持つテーブルの生成を行う
  * @param tbl_unitのマスタ情報
 */
function extunit_install($param, $db) {
    switch(DBTYPE) {
        case "pgsql":
            $sql[] = "CREATE TABLE `extunit_alias` (
                `pageu_code` integer NOT NULL DEFAULT '0',
                `pageu_code_sync` integer NOT NULL DEFAULT '0',
                `bg_color` smallint DEFAULT '0',
                `bdr_type` smallint DEFAULT '0',
                `btm_padding` smallint DEFAULT '2',
                `bg_color_sp` smallint DEFAULT '0',
                `bdr_type_sp` smallint DEFAULT '0',
                `btm_padding_sp` smallint DEFAULT '2',
                `use_sp_flg` smallint default 1,
                `use_pc_flg` smallint default 1,
                `option_extend` smallint default 0,
                `extra_class` text,
                `anchor_text` text
            )";
            $sql[] = "CREATE TABLE `extunit_alias_tmp` (
                `pageu_code` integer NOT NULL DEFAULT '0',
                `pageu_code_sync` integer NOT NULL DEFAULT '0',
                `bg_color` smallint DEFAULT '0',
                `bdr_type` smallint DEFAULT '0',
                `btm_padding` smallint DEFAULT '2',
                `bg_color_sp` smallint DEFAULT '0',
                `bdr_type_sp` smallint DEFAULT '0',
                `btm_padding_sp` smallint DEFAULT '2',
                `use_sp_flg` smallint default 1,
                `use_pc_flg` smallint default 1,
                `option_extend` smallint default 0,
                `extra_class` text,
                `anchor_text` text
            )";
            break;
        case "mysql":
            $sql[] = "CREATE TABLE `extunit_alias` (
                `pageu_code` integer NOT NULL DEFAULT '0',
                `pageu_code_sync` integer NOT NULL DEFAULT '0',
                `bg_color` smallint DEFAULT '0',
                `bdr_type` smallint DEFAULT '0',
                `btm_padding` smallint DEFAULT '2',
                `bg_color_sp` smallint DEFAULT '0',
                `bdr_type_sp` smallint DEFAULT '0',
                `btm_padding_sp` smallint DEFAULT '2',
                `use_sp_flg` smallint default 1,
                `use_pc_flg` smallint default 1,
                `option_extend` smallint default 0,
                `extra_class` text,
                `anchor_text` text
            )TYPE=InnoDB DEFAULT CHARSET=utf8;";
            $sql[] = "CREATE TABLE `extunit_alias_tmp` (
                `pageu_code` integer NOT NULL DEFAULT '0',
                `pageu_code_sync` integer NOT NULL DEFAULT '0',
                `bg_color` smallint DEFAULT '0',
                `bdr_type` smallint DEFAULT '0',
                `btm_padding` smallint DEFAULT '2',
                `bg_color_sp` smallint DEFAULT '0',
                `bdr_type_sp` smallint DEFAULT '0',
                `btm_padding_sp` smallint DEFAULT '2',
                `use_sp_flg` smallint default 1,
                `use_pc_flg` smallint default 1,
                `option_extend` smallint default 0,
                `extra_class` text,
                `anchor_text` text
            )TYPE=InnoDB DEFAULT CHARSET=utf8;";
            //mysql 5.5対応
            if(isset($db->dbversion) && version_compare($db->dbversion,"5.0.0", ">=")){
            //mysql5.0以上の時はTYPEをENGINEに置換え
                foreach((array)$sql as $k => $v){
                    $sql[$k] = str_replace('TYPE=InnoDB','ENGINE = InnoDB', $v);
                }
            }
            break;
        default:
            return false;
            break;
    }
    //sqlの実行
    if(!is_array($sql)||!count($sql)>0) {
        //テーブルのないモジュール、ユニットは存在させない
        return false;
    }
    foreach($sql as $key => $val) {
        if(!$db->query($val)) {
            return false;
        }
    }

    return true;
}
?>
